Package com.macrofocus.high_d.controlchart

# Class AxisModelsDataFrame<R,C>

java.lang.Object
com.macrofocus.molap.dataframe.AbstractDataFrame<R,com.macrofocus.high_d.axis.AxisModel<R,C>,Number>
com.macrofocus.high_d.controlchart.AxisModelsDataFrame<R,C>

All Implemented Interfaces:
  `com.macrofocus.molap.dataframe.DataFrame<R,com.macrofocus.high_d.axis.AxisModel<R,C>,Number>`

public class AxisModelsDataFrame<R,C> extends com.macrofocus.molap.dataframe.AbstractDataFrame<R,com.macrofocus.high_d.axis.AxisModel<R,C>,Number>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.molap.dataframe.AbstractDataFrame

  `com.macrofocus.molap.dataframe.AbstractDataFrame.ColumnSeries`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AxisModelsDataFrame(com.macrofocus.molap.dataframe.DataFrame<R,C,?> dataFrame, com.macrofocus.high_d.axis.group.AxisGroupModel<R,C> axisGroupModel, SingleSelection<com.macrofocus.high_d.axis.AxisModel<R,C>> x)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class`
  `getColumnClass(com.macrofocus.high_d.axis.AxisModel<R,C> c)`
  `com.macrofocus.molap.index.UniqueIndex<com.macrofocus.high_d.axis.AxisModel<R,C>>`
  `getColumnIndex()`
  `com.macrofocus.molap.series.Series<com.macrofocus.high_d.axis.AxisModel<R,C>,?>`
  `getRow(R r)`
  `Class`
  `getRowClass(R r)`
  `com.macrofocus.molap.index.UniqueIndex<R>`
  `getRowIndex()`
  `Number`
  `getValueAt(R r, com.macrofocus.high_d.axis.AxisModel<R,C> c)`
  `com.macrofocus.molap.dataframe.DataFrame`
  `join(com.macrofocus.molap.series.Series series, com.macrofocus.high_d.axis.AxisModel[] axisModels)`

  ### Methods inherited from class com.macrofocus.molap.dataframe.AbstractDataFrame

  `addDataFrameListener, addWeakDataFrameListener, aggregate, aggregate, append, appendAndReindex, benchmark, columns, filter, getCentroid, getColumn, getColumnAddress, getColumnCount, getColumnKey, getColumnName, getConstant, getCount, getCountDistinct, getCountDistinctWithNull, getCube, getDataFrameAggregation, getDistributiveStatistics, getFirst, getFirstQuartile, getMax, getMean, getMedian, getMin, getNotNullSum, getPercentileQuartile, getRandom, getRowAddress, getRowCount, getRowKey, getStatistics, getStdDev, getSum, getThirdQuartile, getUnivariateStatistics, getVariance, getVarianceByPopulation, getWeightedMean, getWeightedSum, notifyDataFrameChanged, orderRows, print, print, printSchema, reindexColumns, reindexRows, reindexRowsDefault, reindexRowsUsingColumn, reindexRowsUsingColumnDefault, reindexRowsUsingColumns, remapColumns, removeColumns, removeDataFrameListener, removeDataFrameListeners, removeDuplicates, rows`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AxisModelsDataFrame

    public AxisModelsDataFrame(com.macrofocus.molap.dataframe.DataFrame<R,C,?> dataFrame, com.macrofocus.high_d.axis.group.AxisGroupModel<R,C> axisGroupModel, SingleSelection<com.macrofocus.high_d.axis.AxisModel<R,C>> x)

- ## Method Details

  - ### getRowClass

    public Class getRowClass(R r)

  - ### getColumnClass

    public Class getColumnClass(com.macrofocus.high_d.axis.AxisModel<R,C> c)

  - ### getValueAt

    public Number getValueAt(R r, com.macrofocus.high_d.axis.AxisModel<R,C> c)

  - ### getRow

    public com.macrofocus.molap.series.Series<com.macrofocus.high_d.axis.AxisModel<R,C>,?> getRow(R r)

  - ### getRowIndex

    public com.macrofocus.molap.index.UniqueIndex<R> getRowIndex()

  - ### getColumnIndex

    public com.macrofocus.molap.index.UniqueIndex<com.macrofocus.high_d.axis.AxisModel<R,C>> getColumnIndex()

  - ### join

    public com.macrofocus.molap.dataframe.DataFrame join(com.macrofocus.molap.series.Series series, com.macrofocus.high_d.axis.AxisModel[] axisModels)